package org.jeecg.modules.system.app.enums;

import lombok.Getter;

@Getter
public enum OrderTypeEnum {
    //    0学校 1包场 2不固定场
    /**
     * 场地
     */
    SITE(0, "场地"),
    /**
     * 赛事
     */
    GAME(1, "赛事"),
    /**
     * 课程
     */
    COURSES(2, "课程");
    final int code;
    final String name;
    OrderTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }
    public int getCode() {
        return code;
    }
    public String getName() {
        return name;
    }
    public static OrderTypeEnum getByCode(int code) {
        for (OrderTypeEnum value : values()) {
            if (value.code == code) {
                return value;
            }
        }
        return null;
    }
}
